### Method

# Soup CookieJar get_cookie_list

#### Declaration [src]

    GSList*
    soup_cookie_jar_get_cookie_list (
      SoupCookieJar* jar,
      GUri* uri,
      gboolean for_http
    )

#### Description [src]

Retrieves the list of cookies that would be sent with a request to `uri` as a `GList` of `SoupCookie` objects.

If `for_http` is `TRUE`, the return value will include cookies marked “HttpOnly” (that is, cookies that the server wishes to keep hidden from client-side scripting operations such as the JavaScript document.cookies property). Since `SoupCookieJar` sets the Cookie header itself when making the actual HTTP request, you should almost certainly be setting `for_http` to `FALSE` if you are calling this.

#### Parameters

`uri`

  Type: `GUri`

  A `GUri`.

  The data is owned by the caller of the method.

`for_http`

  Type: `gboolean`

  Whether or not the return value is being passed directly to an HTTP operation.

#### Return value

Type: A list of `SoupCookie*`

A `GSList` with the cookies in the `jar` that would be sent with a request to `uri`.

The caller of the method takes ownership of the data, and is responsible for freeing it.